cURL
curl --request GET \
--url https://api.thesearchx.com/{clientId}/datasource/{datasourceId}/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thesearchx.com/{clientId}/datasource/{datasourceId}/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thesearchx.com/{clientId}/datasource/{datasourceId}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": [
{
"_score": 123,
"ttmId": "<string>",
"...other properties...": "<unknown>"
}
]
}Endpoint Examples
Search
Get Search Result by query
GET
/
{clientId}
/
datasource
/
{datasourceId}
/
search
cURL
Authorizations
Here, Bearer Token is your Client API Key You can find at your Client Page
Path Parameters
You can find Client ID at your Dashboard
You can find Datasource ID at your Dashboard
Query Parameters
Search Keyword
Threshold score of results
Number of results
⌘I